
package org.act.manage;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.*; 
import org.act.manage.util.*;

public class ACTActionServlet 
    extends ActionServlet
	{
	    private static final String LOGIN_ACTION = "/XService_Workflow_Manager/login.do";
	    private static final String INDEX_ACTION = "/XService_Workflow_Manager/index.do";
	    public void init() throws ServletException
	    {
	        super.init();
	        try
	        {
	            	            Utils.mACTAdminConfigFile = getServletContext().getRealPath(Utils.
	                mACTAdminConfigFile);
	            Utils.mACTAdminRoot = getServletContext().getRealPath("");
	            Utils.mUserConfigFile = getServletContext().getRealPath(Utils.
	                mUserConfigFile);
	            Utils.mRBACConfigFile = getServletContext().getRealPath(Utils.
	                mRBACConfigFile);
	            	            Utils.mServerConfigFile = getServletContext().getRealPath(Utils.
	            		mServerConfigFile);
	            	            	            	            	            	            	        }
	        catch (Exception ex)
	        {
	            ex.printStackTrace();
	        }
	    }
	    
	    public void destroy()
	    {
	        try
	        {
	            	            	            	            	            	        }
	        catch (Exception ex)
	        {
	            ex.printStackTrace();
	        }
	        super.destroy();
	    }
	    
	    protected void process(HttpServletRequest request,
	                           HttpServletResponse response) throws IOException
	        , ServletException
	    {
	        try
	        {
	            request.setCharacterEncoding("utf-8");
	            	            Cookie[] cookies = request.getCookies();
	            if (cookies!=null&&cookies.length != 0 && cookies[0].getName().equals("JSESSIONID"))
	                cookies[0].setMaxAge( -1);
	            	            String uri = request.getRequestURI();
	            if (!uri.equalsIgnoreCase(LOGIN_ACTION)
	                && !uri.equalsIgnoreCase(INDEX_ACTION))
	            {
	                String User = (String)request.getSession().getAttribute(
	                    "ACTAdminUser");
	                if (null == User)
	                {
	                    response.sendRedirect("/XService_Workflow_Manager/gotoLogin.jsp");
	                    return;
	                }
	                	                RBACManager rbac = (RBACManager)request.getSession().
	                                   getAttribute("ACTRBAC");
	                	                if(rbac == null||rbac.equals("null"))
	                {
	                  response.sendRedirect("/XService_Workflow_Manager/gotoLogin.jsp");
	                  return;
	                }
	                String server = (String)request.getSession().
                    getAttribute("Server");
	                	                if (rbac.checkRight(uri,server) == false)
	                {
	                    request.getSession().setAttribute("Util_FailBackPage"
	                        , "/blank.jsp");
	                    String tmp = AdminResBundle.getMessage("util.error.noRight"
	                        , User);
	                    request.getSession().setAttribute("Util_ErrorInfo", tmp);
	                    request.getSession().setAttribute("Util_ErrorDetail", "");
	                    response.sendRedirect("/XService_Workflow_Manager/fail.jsp");
	                    return;
	                }
	            }
	        }
	        catch (UnsupportedEncodingException ex)
	        {
	            ex.printStackTrace();
	        }
	        super.process(request, response);
	    }
	}
