package org.act.manage.controls;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.ArrayList;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.BodyTagSupport;
import javax.servlet.jsp.tagext.Tag;

public class DataTag extends BodyTagSupport {
        
    protected String data = null;
        
    public int doStartTag() throws JspException {
                this.data = null;
                return (EVAL_BODY_BUFFERED);
    }
    
    public int doAfterBody() throws JspException {
        String data = bodyContent.getString();
        if (data != null) {
            data = data.trim();
            if (data.length() > 0)
                this.data = data;
        }
        return (SKIP_BODY);
    }
    
    public int doEndTag() throws JspException {
                Tag parent = getParent();
        if ((parent == null) || !(parent instanceof RowTag))
            throw new JspException("Must be nested in a rowTag isntance");
        RowTag row = (RowTag) parent;
                        HttpServletResponse response =
            (HttpServletResponse) pageContext.getResponse();
        row.setData(data);
        return (EVAL_PAGE);
    }
    
    public void release() {
        this.data = null;
    }
}
