package org.act.manage.controls;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import java.io.IOException;
import javax.servlet.http.HttpSession;
import java.util.Locale;
import org.apache.struts.util.MessageResources;
import org.apache.struts.Globals;

public class HeaderTag
    extends TagSupport
{
    
    static final String DEFAULT_IMAGES = "/ACTManager/images";
    
    static final String IMAGE_HEADER_LEFT = "Header1.gif";
    static final String IMAGE_HEADER_MID = "Header2.gif";
    static final String IMAGE_HEADER_RIGHT = "Header3.gif";
        protected String mTitle = "";
        protected String mTitleKey = "";
    
    public void setTitle(String title)
    {
        mTitle = title;
    }
    
    public void setTitleKey(String titleKey)
    {
        mTitleKey = titleKey;
    }
    
    public int doEndTag() throws JspException
    {
        JspWriter out = pageContext.getOut();
        String title = mTitle;
        try
        {
            if (title.equals(""))
            {
                MessageResources resources = (MessageResources)pageContext.
                                             getServletContext().getAttribute(
                                                 Globals.
                                                 MESSAGES_KEY);
                HttpSession session = pageContext.getSession();
                Locale locale = (Locale)session.getAttribute(Globals.LOCALE_KEY);
                title = resources.getMessage(locale, mTitleKey);
            }
            if(title == null)title = "";
            out.print(
                "<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n");
            out.print("<tr>\n");
            out.print("<td width=\"15\" height=\"28\" background=\"");
            out.print(DEFAULT_IMAGES + "/" + IMAGE_HEADER_LEFT);
            out.print("\">&nbsp; </td>\n");
            out.print("<td width=\"40\" height=\"28\" background=\"");
            out.print(DEFAULT_IMAGES + "/" + IMAGE_HEADER_LEFT);
            out.print("\">\n");
            out.print("<p style=\"white-space:nowrap\">\n");
            out.print("<font size=\"4\" color=\"#FFFFFF\"><b>\n");
            out.print(title);
            out.print("</b></font></p></td>");
            out.print("<td width=\"5\" height=\"28\" background=\"");
            out.print(DEFAULT_IMAGES + "/" + IMAGE_HEADER_LEFT);
            out.print("\">&nbsp; </td>");
            out.print("<td height=\"28\" width=\"36\">\n");
            out.print("<img src=\"");
            out.print(DEFAULT_IMAGES + "/" + IMAGE_HEADER_MID);
            out.print("\" width=\"36\" height=\"28\" ></td>\n");
            out.print("<td height=\"28\" background=\"");
            out.print(DEFAULT_IMAGES + "/" + IMAGE_HEADER_RIGHT);
            out.print("\">&nbsp; </td>\n");
            out.print("</tr>\n");
            out.print("</table>\n");
        }
        catch (IOException e)
        {
            throw new JspException(e);
        }
        return (EVAL_PAGE);
    }
}
