package org.act.manage.controls;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.struts.action.*;
import org.act.manage.util.Utils;

public class TreeControlAction
    extends Action
{
    public TreeControlAction()
    {
        try
        {
            jbInit();
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
        }
    }
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        IOException, ServletException
    {
        String name = null;
        HttpSession session = request.getSession();
        TreeControl control =
            (TreeControl)session.getAttribute("treeControl");
                name = request.getParameter("tree");
        if (name != null)
        {
            TreeControlNode node = control.findNode(name);
            if (node != null)
            {
                node.setExpanded(!node.isExpanded());
                Utils.setTreeNodeState(name,node.isExpanded());
            }
        }
                name = request.getParameter("select");
        if (name != null)
            control.selectNode(name);
                return (mapping.findForward("SetUpTree"));
    }
    private void jbInit() throws Exception
    {
    }
}
