package org.act.manage.controls;
import java.util.Locale;
import javax.servlet.http.HttpSession;
import org.apache.struts.util.MessageResources;
import org.apache.struts.Globals;
import javax.servlet.jsp.tagext.BodyTagSupport;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import java.io.IOException;

public class VersionInfoTag
   extends BodyTagSupport
{
 static final String MKEY="controls.version.message";
 static final String MALIGN="center";

public int doStartTag() throws JspException
{
   JspWriter out = pageContext.getOut();
   
   MessageResources resources = (MessageResources)
          pageContext.getServletContext().getAttribute(Globals.MESSAGES_KEY);
  
   HttpSession session = pageContext.getSession();
   Locale locale = (Locale) session.getAttribute(Globals.LOCALE_KEY);
   String text=resources.getMessage(locale,MKEY);
   try
   {
       out.print("<table width=\"80%\" align=\""+MALIGN+"\">\n");
       out.print("<tr align=\""+MALIGN+"\">\n ");
       out.print("<td style=\"font-size:20pt\">\n"+text);
   }
   catch (IOException ex)
  {
  }
  return (EVAL_BODY_INCLUDE);
}

public int doEndTag() throws JspException
{
JspWriter out = pageContext.getOut();
try
{
    out.print("</td>\n");
    out.print("</tr>\n");
    out.print("</table>\n");
}
catch (IOException ex)
{
}
return (EVAL_PAGE);
}
}
