
package org.act.manage.jvm;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.xml.namespace.QName;
import org.act.manage.util.CallServer;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ServerInfo;
import org.act.soap.util.TMConstants;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class JVMListAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException {
		HttpSession session = request.getSession();
		String backPage = (String) session.getAttribute("Util_SucBackUrl");
		String serverType=(String)request.getSession().getAttribute("ServerType");
		String server=(String)request.getSession().getAttribute("Server");
		
		String jvmFree=null;
		String jvmTotal=null;
		String jvmMax=null;
		String uri=ServerInfo.getServerAddress(server, serverType).getAddress();
		if (serverType.equals("WSRuntime"))
		{
			try{
				jvmFree = (String) CallServer.invoke("getJVMFreeM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
				jvmTotal = (String) CallServer.invoke("getJVMTotalM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
				jvmMax = (String) CallServer.invoke("getJVMMaxM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		}
		else if (serverType.equals("WorkflowEngine")) {
			try {
				jvmFree = (String) CallWfEngine.invoke("getJVMFreeM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
				jvmTotal = (String) CallWfEngine.invoke("getJVMTotalM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
				jvmMax = (String) CallWfEngine.invoke("getJVMMaxM", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_INT },
						new Object[] { new Integer(1) });
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		else
		{
			return mapping.findForward("Fail");
		}
		
		
		if(jvmFree==null)
			if(session.getAttribute("JVMInfo")==null) jvmFree="0";
			else jvmFree=(String)session.getAttribute("JVMInfo");
		session.setAttribute("JVMInfo",jvmFree);
		ArrayList args=new ArrayList();
		if(session.getAttribute("JVMInfoLine")==null)
			args.add(new String(jvmFree));
		else
		{
			 args=(ArrayList)session.getAttribute("JVMInfoLine");
			args.add(new String(jvmFree));
		}
		request.setAttribute("jvmFree",jvmFree)	;
		request.setAttribute("jvmTotal",jvmTotal)	;
		request.setAttribute("jvmMax",jvmMax)	;
		session.setAttribute("JVMInfoLine",args);
		String argsString[]=(String[])args.toArray(new String[0]);
						return mapping.findForward("JVMInfo");
	}
}
