
package org.act.manage.user;
import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.Utils;
import org.act.manage.wsruntime.config.ConfigForm;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ServerConfigEditAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException {
		String backUrl = "/blank.jsp";
		try {
						String confFile = "ok";
			String text = "";
			File serverConfigFile = new File(Utils.mServerConfigFile);
						byte[] buffer = new byte[4096];
			DataInputStream input = new DataInputStream(
					new BufferedInputStream(new FileInputStream(serverConfigFile)));
			input.read(buffer);
			input.close();
			text = new String(buffer);
			ServerConfigForm confForm = new ServerConfigForm();
			confForm.setText(text);
						request.getSession().setAttribute("serverConfigForm", confForm);
		} catch (Exception ex) {
			request.getSession().setAttribute("Util_FailBackPage", backUrl);
			String tmp = AdminResBundle.getMessage("wf.config.error.edit");
			tmp += " " + ex.getMessage();
			request.getSession().setAttribute("Util_ErrorInfo", tmp);
			request.getSession().setAttribute("Util_ErrorDetail",
					Utils.FormatExceptionToHtml(ex));
			return mapping.findForward("Failure");
		}
		return mapping.findForward("Forward");
	}
}
	
