
package org.act.manage.util;
import java.net.MalformedURLException;
import java.rmi.RemoteException;
import java.util.List;
import java.util.Vector;
import javax.activation.DataHandler;
import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;
import org.act.soap.util.TMConstants;
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.apache.axis.message.SOAPHeaderElement;

public class CallWfEngine {
	private String SERVICE_URI = "http://127.0.0.1:8091/SystemInfo";
	public CallWfEngine(String URI) {
		this.SERVICE_URI = URI;
	}
	public CallWfEngine() {
	}
	public static Object invoke(String serviceName, String uri,
			QName returnType, QName[] paramsType, Object[] params)
			throws MalformedURLException, RemoteException {
		SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
		"000001");
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(uri);
		call.setOperationName(new QName(uri, serviceName));
		call.setReturnType(returnType);
		call.addHeader(element);
		for (int i = 0; i < paramsType.length; i++) {
			call.addParameter("param" + i, paramsType[i], ParameterMode.IN);
		}
		return call.invoke(params);
	}
	public String getJVMFreeM(int unit) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getJVMFreeM"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
				QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
		;
				Object[] params = new Object[] { new Integer(unit) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getDeployedInstances() throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getDeployedInstances"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String UnDeployInstance(String type) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "UnDeployInstance"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
		;
				Object[] params = new Object[] { type };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getBpel(String type) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getBpel"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
		;
				Object[] params = new Object[] { type };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getWFWsdd(String type) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getWFWsdd"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
		;
				Object[] params = new Object[] { type };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getActiveInstance(String type) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getActiveInstance"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
		;
				Object[] params = new Object[] { type };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getActivity(String instanceID) throws Exception {
				SOAPHeaderElement element = new SOAPHeaderElement("", "ManageID",
				"000001");
				org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getActivity"));
		call.setReturnType(TMConstants.XSD_STRING);
		call.addHeader(element);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
		;
				Object[] params = new Object[] { instanceID };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testAttach(String server,byte[] file,String wsName) throws Exception {
		
		WfAttach.testAttach(server,file,wsName);
		return "ok";
	}
	
	public static void main(String args[]) {
		CallWfEngine cwf = new CallWfEngine();
		try {
																							boolean a=((Boolean)CallWfEngine.invoke("getReplyPatternValueRespone ","http://127.0.0.1:8091/SystemInfo"
					,TMConstants.XSD_BOOLEAN,
					new QName[]{},new Object[]{})).booleanValue();
		System.out.println(a);
		} catch (Exception e) {
						e.printStackTrace();
		}
	}
}
