
package org.act.manage.util;
import java.util.*;

public class Utils {
		public static String mACTAdminConfigFile = "conf/Config.xml";
	public static String mACTAdminRoot = "";
	public static String mUserConfigFile = "conf/userInfo.xml";
	public static String mRBACConfigFile = "conf/RBAC.xml";
		public static String mServerConfigFile = "conf/Server.xml";
			public static final int mPageItemCount = 15;
		public static final String XML_ACTMANAGER = "ACTManager";
	public static final String XML_MBEANSERVERS = "MBeanServers";
	public static final String XML_IIPSERVER = "IIPServer";
	public static final String XML_ENGINEMBEAN = "EngineMBean";
	public static final String XML_ADAPTORMBEAN = "AdaptorMBean";
	public static final String XML_TRANSACTIONMBEAN = "TransactionMBean";
	public static final String XML_ROUTEMBEAN = "RouteMBean";
	public static final String XML_IIP = "IIP";
	public static final String XML_ADAPTORDEFNEWDIR = "AdaptorDefNewDir";
	public static final String XML_WFSERVER = "WFServer";
	public static final String XML_WORKFLOWMBEAN = "WorkflowMBean";
	public static final String XML_PSSERVER = "PSServer";
	public static final String XML_PSSERVERMBEAN = "PSServerMBean";
	public static final String XML_XLINKERSERVER = "XLinkerServer";
	public static final String XML_ATTR_SERVERNAME = "ServerName";
	public static final String XML_ATTR_CONNECTORURL = "ConnectorURL";
	public static final String XML_ATTR_CONNECTORPORT = "ConnectorPort";
	public static final String XML_ATTR_OBJECTNAME = "ObjectName";
	public static HashMap mTreeStates = new HashMap();
	
	public static String FilterStringToHtml(String input) {
		String ret = input;
		ret = ret.replaceAll("&", "&#38");
		ret = ret.replaceAll("\"", "&#34;");
		ret = ret.replaceAll("'", "&#39;");
		ret = ret.replaceAll("\\\\", "&#92;");
		ret = ret.replaceAll("<", "&lt;");
		ret = ret.replaceAll(">", "&gt;");
		ret = ret.replaceAll("\t", "&nbsp; &nbsp; ");
		ret = ret.replaceAll("\n", "<br> ");
		return ret;
	}
	
	public static String FormatExceptionToHtml(Throwable ex) {
		String cause = AdminResBundle.getMessage("util.error.cause");
		String at = AdminResBundle.getMessage("util.error.at");
		String stack = AdminResBundle.getMessage("util.error.stackTrace");
		String more = AdminResBundle.getMessage("util.error.more");
				if (ex == null)
			return "";
		String ret = "";
		Throwable tmpEx = ex;
		StackTraceElement[] stackTrace;
		while (tmpEx != null) {
			ret += "--" + cause + " : [";
			ret += tmpEx.getClass().getName();
			ret += "] ";
			if (tmpEx.getMessage() != null)
				ret += tmpEx.getMessage();
			tmpEx = tmpEx.getCause();
			ret += "\n";
		}
		ret += "\n";
				ret += stack + "\n\n";
		tmpEx = ex;
		int i = 0;
		while (tmpEx != null) {
			ret += tmpEx.getClass().getName() + " \n";
			stackTrace = tmpEx.getStackTrace();
			for (i = 0; i < stackTrace.length & i < 30; i++)
				ret += "\t" + at + " " + stackTrace[i].toString() + "\n";
			if (i >= 30)
				ret += "\t"
						+ new Integer(stackTrace.length - 30 + 1).toString()
						+ " " + more + "...\n";
			ret += "\n";
			tmpEx = tmpEx.getCause();
		}
		ret = FilterStringToHtml(ret);
		return ret;
	}
	
	public static boolean checkTreeNodeState(String nodeName, boolean defState) {
		Boolean ret = (Boolean) mTreeStates.get(nodeName);
		if (null != ret)
			return ret.booleanValue();
		return defState;
	}
	
	public static void setTreeNodeState(String nodeName, boolean state) {
		mTreeStates.put(nodeName, new Boolean(state));
	}
}
