package org.act.manage.workflow;

public class WorkflowException
    extends Exception
{
        Throwable mCause = null;
    
    public WorkflowException()
    {
    }
    
    public WorkflowException(String message)
    {
        super(message);
    }
    
    public WorkflowException(Throwable cause)
    {
        this.mCause = cause;
    }
    
    public WorkflowException(String message, Throwable cause)
    {
        super(message);
        this.mCause = cause;
    }
    
    public Throwable getCause()
    {
        return this.mCause;
    }
}
