
package org.act.manage.workflow.db;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;
import org.act.manage.util.ConnectionDB;

public class ActivityInfo {
	public ActivityInfo() {
    }
    
    public static Vector queryActivityInfo(Connection connection,String instanceID){
        Vector activityInfo = new Vector();
        String activityName;
        String sqlQuery = "select * from bpelactivity where InstanceID = '"
            + instanceID  +"' order by ID";
        try {
                        Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
            while (resultset.next()) {
                Vector oneInfo = new Vector();
                                activityName = resultset.getString("Name");
                oneInfo.addElement(activityName);
                oneInfo.addElement(resultset.getString("Type"));
                oneInfo.addElement(resultset.getString("BeginTime"));
                oneInfo.addElement(resultset.getString("FinishTime"));
                oneInfo.addElement(resultset.getString("Status"));
                oneInfo.addElement(resultset.getString("TransactionID"));
                activityInfo.addElement(oneInfo);
                
            }
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return activityInfo;
    }
    
    public String queryLastActivityName(String instanceID){
        String activityName = "";
        String sqlQuery = "select * from bpelactivity where "+
            "ID in (select max(ID) from bpelactivity where InstanceID ='"+
            instanceID +"')";
        try {
            Connection connection = new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
            while (resultset.next())
                activityName = resultset.getString("ActivityName");
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return activityName;
    }
    
    public int queryMaxID(){
        int maxID = 0;
        String sqlQuery = "select * from bpelactivity where "+
            "ID in (select max(ID) from bpelactivity)";
        try {
            Connection connection = new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
            while (resultset.next())
                maxID = resultset.getInt("ID");
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return maxID;
    }
    
    public boolean insert(int ownerID, String instanceID, String activityName,
                          String activityType, String startTime, String finishTime,
                          String status, String transactionID){
         String sqlInsert = "insert into bpelactivity" +
             "(OwnerID,InstanceID,ActivityName,ActivityType,StartTime,FinishTime,"+
             "Status,TransactionID) values("+ ownerID +",'"+ instanceID +
             "','"+ activityName +"','"+ activityType +"','"+ startTime +
             "','"+ finishTime +"','"+ status +"','"+ transactionID +"')";
         try{
             Connection connection = new ConnectionDB().getConnection();
             Statement statement = connection.createStatement();
             statement.executeUpdate(sqlInsert);
             statement.close();
             connection.close();
             return true;
         }
         catch(SQLException ex){
             System.out.println(ex.getMessage());
             return false;
         }
    }
    
    public boolean update(String instanceID, String activityName,
                          String fieldName, String fieldValue){
        String sqlUpdate = "update bpelactivity set "+
            fieldName +" = '"+ fieldValue +"' where InstanceID = '"+ instanceID +
            "' and ActivityName = '"+ activityName +"'";
        try{
            Connection connection = new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlUpdate);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
    
    public boolean updateInit(int ID, String fieldName, String fieldValue){
        String sqlUpdate = "update bpelactivity set "+
            fieldName +" = '"+ fieldValue +"' where ID = "+ ID +"";
        try{
            Connection connection = new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlUpdate);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
    public static void main(String[] args) {
                Date date = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yy-MM-dd HH:mm:ss");
        String time = sdf.format(date).toString();
        System.out.println(time);


        ActivityInfo activityInfo1 = new ActivityInfo();
                        
    }
}
