
package org.act.manage.workflow.db;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Vector;
import org.act.manage.util.ConnectionDB;

public class InferResourceInfo {
	public InferResourceInfo() {
    }
    
	public static Vector queryInfo(Connection connection,String transactionID){
                Vector inferResourceInfo = new Vector();
				
        String sqlQuery = "select * from inferiortable where txid = '"+
            transactionID +"' order by inferiorId";
        try {
                        Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
            ResultSetMetaData metadata = resultset.getMetaData();
            while (resultset.next()) {
                Vector oneInfo = new Vector();
                for (int i = 2; i <= metadata.getColumnCount(); i++)
                    oneInfo.addElement(resultset.getObject(i));
                inferResourceInfo.add(oneInfo);
            }
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return inferResourceInfo;
    }
    
    public boolean insert(String transactionID, String superiorID, String inferiorID,
                          String inferiorAddress, String inferiorStatus,
                          String compensationAddress, String webServiceUrl){
        String sqlInsert = "insert into InferResourceInfoTable" +
            "(TransactionID,SuperiorID,InferiorID,InferiorAddress,"+
            "InferiorStatus,CompensationAddress,WebServiceUrl) values('"+
            transactionID +"','"+ superiorID +"','"+ inferiorID +"','"+
            inferiorAddress +"','"+ inferiorStatus +"','"+
            compensationAddress +"','"+ webServiceUrl +"')";
        try{
            Connection connection =  new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlInsert);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
    
    public boolean delete(String transactionID){
        String sqlDelete = "delete from InferResourceInfoTable where " +
           "TransactionID = '"+ transactionID +"'";
        try{
            Connection connection =  new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlDelete);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
}
