
package org.act.manage.workflow.instance;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.Vector;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ConnectionDB;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.ServerInfoMeta;
import org.act.manage.util.Utils;
import org.act.manage.workflow.WorkflowException;
import org.act.manage.workflow.db.ActivityInfo;
import org.act.manage.workflow.meta.ActivityInfoMeta;
import org.act.wsc.bpel4wsmodeling.bpeldata.BPELProcess;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ActivityGraphFreshAction    extends Action
{
    private boolean needUpdateTree = false;
    public ActionForward execute(ActionMapping
                                 mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        ServletException
    {
    	
    	
    	BPELProcess bp;
    	String BPELFilePath = "d:/test.bpel";
    	String SvgFilePath = "d:/test.svg";
    	String pro = "";
    	try{
    		
    		pro = (String)request.getSession().getAttribute(
            "WF_History_Process");
    		ArrayList al = new ArrayList();
    		Vector processes;
            String type = (String)request.getSession().getAttribute(
                "WF_History_Type");
            
            String serverType=(String)request.getSession().getAttribute("ServerType");
    		String server=(String)request.getSession().getAttribute("Server");
            CallWfEngine callServer=new CallWfEngine
    		(ServerInfo.getServerAddress(server,serverType).getAddress());
                        String actis=callServer.getActivity(pro);
            if(actis!=null&&!actis.equals(""))
            {
            String activity[]=actis.split("`");
            
            for (int j=0;j<activity.length/6;j++)
            {
            	ActivityInfoMeta act=new ActivityInfoMeta();
            	act.setName(activity[j*6+0]);
            	act.setType(activity[j*6+1]);
            	act.setBeginTime(activity[j*6+2]);
            	if(activity[j*0+3].equalsIgnoreCase("null"))
            		act.setEndTime("");
            	else
            		act.setEndTime(activity[j*6+3]);
            	act.setStatus(activity[j*6+4]);
            	if(activity[j*6+5]!=null&&!activity[j*6+5].equals("null"))
            		act.setTxID(activity[j*6+5]);
            	al.add(act);
            	
            }
            }
            else
            {
            ServerInfoMeta serverMeta=ServerInfo.getServerAddress(server,serverType);
            Connection connection = new 
				ConnectionDB().getConnection(serverMeta.getDBaddress(),
						serverMeta.getDBUser(),serverMeta.getDBPWD());
            processes=ActivityInfo.queryActivityInfo(connection,pro);
            connection.close();
                        if (processes == null)
                throw new WorkflowException(AdminResBundle.getMessage(
                    "util.error.nullRes", "Activity Process ID"));
                        Vector oneInfo;
            for (int i = 0; i < processes.size(); i++)
            {
                oneInfo = (Vector)processes.get(i);
                ActivityInfoMeta info = new ActivityInfoMeta();
                info.setName(oneInfo.get(0).toString());
                info.setBeginTime(oneInfo.get(2).toString());
                info.setEndTime(oneInfo.get(3).toString());
                info.setType(oneInfo.get(1).toString());
                info.setStatus(oneInfo.get(4).toString());
                if (oneInfo.get(5)!= null&&!oneInfo.equals("null"))
                {
					info.setTxID(oneInfo.get(5).toString());																			}
				al.add(info);
			}
            }
            request.setAttribute("WF_ActivityList",al);
                    }
        catch (Exception ex)
        {
                        request.getSession().setAttribute("Util_FailBackPage", "/blank.jsp");
            String tmp = AdminResBundle.getMessage(
                "wf.process.error.actGrphList",pro);
            tmp += " " + ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        if (needUpdateTree)
        {
            needUpdateTree = false;
            request.getSession().setAttribute("Util_AfterUpdateTree",
                                              "/workflow/process/processActivityGraph.jsp");
            return mapping.findForward("UpdateTree");
        }
        else
        {
            return mapping.findForward("Forward");
        }
    }
        private void setHistorySession(HttpServletRequest request, String ID
                                   , String type) throws Exception
    {
    	String hisID = (String)request.getSession().getAttribute(
        "WF_History_Process");
    if (hisID == null || !hisID.equals(ID))
    {
        request.getSession().setAttribute("WF_History_Process", ID);
        request.getSession().setAttribute("WF_History_TransactionID", null);
        
        needUpdateTree = true;
    }
}
}
