
package org.act.manage.workflow.instance;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ServerInfo;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ListInstanceAction extends Action {
	
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException 
	{
	
	 
		HttpSession session = request.getSession();
		String backPage = (String) session.getAttribute("Util_SucBackUrl");
        String serverType=(String)request.getSession().getAttribute("ServerType");
		String server=(String)request.getSession().getAttribute("Server");
        CallWfEngine callServer=new CallWfEngine
		(ServerInfo.getServerAddress(server,serverType).getAddress());
	
        String result="";
	    try{
        	result=callServer.getDeployedInstances();
        }
        catch(Exception e)
		{
        	e.printStackTrace();
		}
		request.setAttribute("Instances",result.split("#"));
		return mapping.findForward("Instances");
	}
}
