
package org.act.manage.workflow.instance;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.Utils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ShowBpelAction extends Action {
	
	private boolean needUpdateTree = false;
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException 
	{
	
		String type = "";
        try
        {
            
            type = request.getParameter("Type");
            String serverType=(String)request.getSession().getAttribute("ServerType");
    		String server=(String)request.getSession().getAttribute("Server");
            CallWfEngine callServer=new CallWfEngine
    		(ServerInfo.getServerAddress(server,serverType).getAddress());
		
	        String result="";
		    try{
	        	result=callServer.getBpel(type);
	        }
	        catch(Exception e)
			{
	        	e.printStackTrace();
			}
	        
	        request.setAttribute("Bpel",result);
	        request.setAttribute("Type",type);
            
        }
        catch(Exception e) {
            request.getSession().setAttribute("Util_FailBackPage", "/blank.jsp");
            String tmp = AdminResBundle.getMessage("xl.deploy.unDeploy");
            tmp += " " + e.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(e));
            return mapping.findForward("Failure");
        }
        if (needUpdateTree)
        {
            needUpdateTree = false;
            request.getSession().setAttribute("Util_AfterUpdateTree",
                                              "/workflow/instance/undeploySuccess.jsp");
            return mapping.findForward("UpdateTree");
        }
        else
            return mapping.findForward("Instances");
    }
}
