
package org.act.manage.workflow.process;
import java.sql.Connection;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.ConnectionDB;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.ServerInfoMeta;
import org.act.manage.util.Utils;
import org.act.manage.workflow.WorkflowException;
import org.act.manage.workflow.db.ProcessInfo;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ProcessDelAction    extends Action
{
    public ActionForward execute(ActionMapping
                                 mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        ServletException
    {
        String ID = "";
        String backUrl = "/blank.jsp";
        try
        {
                        
            ID = request.getParameter("ID");
            String type = (String)request.getSession().getAttribute(
                "WF_History_Type");
            backUrl = "/workflow/process/processList.do?Type=" + type;
            String serverType = (String) request.getSession().getAttribute(
			"ServerType");
            String server = (String) request.getSession().getAttribute("Server");
            ServerInfoMeta serverMeta=ServerInfo.getServerAddress(server,serverType);
            Connection connection = new 
				ConnectionDB().getConnection(serverMeta.getDBaddress(),
						serverMeta.getDBUser(),serverMeta.getDBPWD());
            boolean ret =ProcessInfo.delete(connection,ID);
            if (ret== false)
                throw new WorkflowException("");
        }
        catch (Exception ex)
        {
                        request.getSession().setAttribute("Util_FailBackPage", backUrl);
            String tmp = AdminResBundle.getMessage("wf.process.error.del", ID);
            tmp += " " + ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        return new ActionForward(backUrl, true);
    }
}
