
package org.act.manage.workflow.process;
import java.util.ArrayList;
import org.act.wsc.bpel4wsmodeling.projectdata.Figure;
import org.act.wsc.bpel4wsmodeling.projectdata.Line;
import org.act.wsc.bpel4wsmodeling.projectdata.MetaFigure;
import org.act.wsc.bpel4wsmodeling.projectdata.StructFigure;

public final class SvgFactory {
    
	
	
		
	public static Svg createSvgByFigure(Figure fg){
    	
        if (fg instanceof MetaFigure ) {
          
        	Svg metesvg = new Svg(fg);
        	        	return metesvg;
        }
        else if (fg instanceof StructFigure) 
        { 
        	Svg structsvg = new Svg(fg);
          for (int i = 0; i < ((StructFigure)fg).getFigures().size(); i++) {
                                    Figure subFigure =(Figure)((StructFigure)fg).getFigures().get(i);
            Svg subsvg = SvgFactory.createSvgByFigure(subFigure);
            structsvg.svgSS.add(subsvg.svgSS);
                      }
          for (int i = 0; i < ((StructFigure)fg).getLines().size(); i++) {
                                  	
            Line line =(Line)((StructFigure)fg).getLines().get(i);
            System.err.println(fg.getServicesSet().getName()+line.getPoints().size());
            if(line.getSource()!=null)
            {SvgLine subsvg = new SvgLine(line);
            structsvg.svgSS.add(subsvg.svgSS);
            }
                      }
          return structsvg;
          
                  }
        else {
          System.out.println("κһͼԪ");
          return null;
        }
    }
	
	public static Svg createSvgByFigure(Figure fg ,ArrayList al){
    	
        if (fg instanceof MetaFigure ) {
          
        	Svg metesvg = new Svg(fg,al);
        	        	return metesvg;
        }
        else if (fg instanceof StructFigure) 
        { 
        	Svg structsvg = new Svg(fg,al);
          for (int i = 0; i < ((StructFigure)fg).getFigures().size(); i++) {
                                    Figure subFigure =(Figure)((StructFigure)fg).getFigures().get(i);
            Svg subsvg = SvgFactory.createSvgByFigure(subFigure,al);
            structsvg.svgSS.add(subsvg.svgSS);
                      }
          for (int i = 0; i < ((StructFigure)fg).getLines().size(); i++) {
                                  	
            Line line =(Line)((StructFigure)fg).getLines().get(i);
            System.err.println(fg.getServicesSet().getName()+line.getPoints().size());
            if(line.getSource()!=null)
            {SvgLine subsvg = new SvgLine(line);
            structsvg.svgSS.add(subsvg.svgSS);
            }
                      }
          return structsvg;
          
                  }
        else {
          System.out.println("κһͼԪ");
          return null;
        }
    }
}
