
package org.act.manage.workflow.process;
import java.awt.Point;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.projectdata.Line;

public class SvgLine {
	private int x1=0;
	private int y1=0;
	private int x2=0;
	private int y2=0;
	public  Metaset svgSS =null ;	
	public SvgLine(Line line)
	{
		this.svgSS = new Metaset("g");
		for(int i=0;i<line.getPoints().size()-1;i++){
			Point p1=(Point) line.getPoints().get(i);
			Point p2=(Point) line.getPoints().get(i+1);
			this.CreateSvgLine(p1.x,p1.y,p2.x,p2.y);
			if(i==line.getPoints().size()-2){				this.CreateSvgLine(p2.x-3,p2.y-4,p2.x,p2.y);
				this.CreateSvgLine(p2.x+3,p2.y-4,p2.x,p2.y);
			}
		}
	}
	
	
		
	public void CreateSvgLine(int x1,int y1,int x2,int y2) {
				Metaset svgSS = new Metaset("line");
		
		Attribute ax1 = new Attribute("x1",String.valueOf(x1));
		Attribute ay1 = new Attribute("y1",String.valueOf(y1));
		Attribute ax2 = new Attribute("x2",String.valueOf(x2));
		Attribute ay2 = new Attribute("y2",String.valueOf(y2));
		Attribute fill = new Attribute("fill","none");
		Attribute stroke = new Attribute("stroke","rgb(0,0,0)");
		Attribute strokeWidth = new Attribute("stroke_width","2");
		svgSS.add(fill);
		svgSS.add(stroke);
		svgSS.add(strokeWidth);
		
		svgSS.add(ax1);
		svgSS.add(ay1);
		svgSS.add(ax2);
		svgSS.add(ay2);
		this.svgSS.add(svgSS);		
		
	}
public static void main(String[] args) {
	}
	
	public int getX1() {
		return x1;
	}
	
	public void setX1(int x1) {
		this.x1 = x1;
	}
	
	public int getX2() {
		return x2;
	}
	
	public void setX2(int x2) {
		this.x2 = x2;
	}
	
	public int getY1() {
		return y1;
	}
	
	public void setY1(int y1) {
		this.y1 = y1;
	}
	
	public int getY2() {
		return y2;
	}
	
	public void setY2(int y2) {
		this.y2 = y2;
	}
}
