
package org.act.manage.workflow.statistic;
import java.io.IOException;
import java.sql.Connection;
import java.util.Vector;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.ConnectionDB;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.ServerInfoMeta;
import org.act.manage.util.Utils;
import org.act.manage.workflow.db.ProcessInfo;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ProcessStatisticAction   extends Action
{
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        IOException, ServletException
    {
        String backUrl = "/blank.jsp";
        try
        {
            backUrl = "/workflow/statistic/processStatisticSearch.jsp";
                        ProcessSearchForm processSearchForm = (ProcessSearchForm)form;
            String beginTime = processSearchForm.getBeginTime();
            String endTime = processSearchForm.getEndTime();
            String start = processSearchForm.getStart();
            String year = processSearchForm.getYear();
            String type = processSearchForm.getType();
                        request.getSession().setAttribute("beginTime", beginTime);
            request.getSession().setAttribute("endTime", endTime);
            beginTime = beginTime+" 00:00:00";
            endTime = endTime+" 24:00:00";
            String serverType = (String) request.getSession().getAttribute(
			"ServerType");
            String server = (String) request.getSession().getAttribute("Server");
            ServerInfoMeta serverMeta=ServerInfo.getServerAddress(server,serverType);
            Connection connection = new 
				ConnectionDB().getConnection(serverMeta.getDBaddress(),
						serverMeta.getDBUser(),serverMeta.getDBPWD());
                        Vector allInfo = ProcessInfo.queryLogInfo(connection,beginTime,endTime,
            		year, start, type);
            connection.close();
                                    request.getSession().setAttribute("start", start);
            request.getSession().setAttribute("allInfo", allInfo);
        }
        catch (Exception ex)
        {
                        request.getSession().setAttribute("Util_FailBackPage", backUrl);
            String tmp = AdminResBundle.getMessage("wf.statistic.err.process");
            tmp += " " + ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        return (mapping.findForward("Forward"));
    }
}
