
package org.act.manage.workflow.statistic;
import java.io.IOException;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.ConnectionDB;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.ServerInfoMeta;
import org.act.manage.util.Utils;
import org.act.manage.workflow.db.ProcessInfo;
import org.act.manage.workflow.meta.TypeInfo;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ProcessStatisticSearchAction  extends Action
{
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        IOException, ServletException
    {
        String backUrl = "/blank.jsp";
        try
        {
            String serverType = (String) request.getSession().getAttribute(
			"ServerType");
            String server = (String) request.getSession().getAttribute("Server");
            ServerInfoMeta serverMeta=ServerInfo.getServerAddress(server,serverType);
            Connection connection = new 
				ConnectionDB().getConnection(serverMeta.getDBaddress(),
						serverMeta.getDBUser(),serverMeta.getDBPWD());            
            
            HashMap m = ProcessInfo.queryNumberInfo(connection);
            connection.close();
                        Iterator e = m.keySet().iterator();
            ArrayList list = new ArrayList();
            String typeName;
            String typeDes;
            while(e.hasNext()){
                typeName = (String)e.next();
                                                TypeInfo info = new TypeInfo();
                info.setName(typeName);
                                list.add(info);
            }
                        request.getSession().setAttribute("list", list);
        }
        catch (Exception ex)
        {
                        request.getSession().setAttribute("Util_FailBackPage", backUrl);
            String tmp = AdminResBundle.getMessage("wf.statistic.err.processSearch");
            tmp += " " + ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        return (mapping.findForward("Forward"));
    }
}
