
package org.act.manage.workflow.statistic;
import java.util.Locale;
import javax.servlet.http.HttpSession;
import javax.servlet.http.*;
import org.act.manage.controls.*;
import org.apache.struts.action.*;
import org.act.manage.util.Utils;
import org.apache.struts.Globals;
import org.apache.struts.util.MessageResources;

public class StatisticTreeBuilder    implements SubTreeBuilder
{
    
    public void buildTree(TreeControlNode treeNode, ActionServlet servlet
                          , HttpServletRequest request)
    {
        MessageResources resources = (MessageResources)
                                     servlet.getServletContext().getAttribute(
                                         Globals.MESSAGES_KEY);
        HttpSession session = request.getSession();
        Locale locale = (Locale)session.getAttribute(Globals.LOCALE_KEY);
        TreeControlNode subTree = new TreeControlNode
                                  ("Workflow_Statistic",
                                   "Workflow.gif",
                                   resources.getMessage(locale
            , "wf.statistic.treeBuilder.statistic"),
                                   "treeControlAction.do?tree=Workflow_Statistic&select=Workflow_Statistic",
                                   "_self",
                                   Utils.checkTreeNodeState("Workflow_Statistic", false),
                                   "Workflow_Statistic");
        TreeControlNode types = new TreeControlNode
                                ("Workflow_Statistic_Types",
                                 "Workflow.gif",
                                 resources.getMessage(locale
            , "wf.statistic.treeBuilder.types"),
            "workflow/statistic/typeStatisticSearch.do",
            "content",
                                 Utils.checkTreeNodeState("Workflow_Statistic_Types", false),
                                 "Workflow_Statistic");
        TreeControlNode process = new TreeControlNode
                                ("Workflow_Statistic_Process",
                                 "Workflow.gif",
                                 resources.getMessage(locale
            , "wf.statistic.treeBuilder.process"),
            "workflow/statistic/processStatisticSearch.do",
            "content",
                                 Utils.checkTreeNodeState("Workflow_Statistic_Process", false),
                                 "Workflow_Statistic");
        treeNode.addChild(subTree);
        subTree.addChild(process);
    }
}
