
package org.act.manage.wsruntime.service;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.act.manage.util.CallServer;
import org.act.manage.util.ServerInfo;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ListServicesAction extends Action {
	
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException 
	{
	
	 
		HttpSession session = request.getSession();
		String backPage = (String) session.getAttribute("Util_SucBackUrl");
		String serverType=(String)request.getSession().getAttribute("ServerType");
		String server=(String)request.getSession().getAttribute("Server");
		CallServer callServer=new CallServer
			(ServerInfo.getServerAddress(server,serverType).getAddress());
		String result="";
		try{
			result=callServer.testListServices();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		
		request.setAttribute("Services",result.split("#"));
		return mapping.findForward("Services");
	}
}
