
package org.act.manage.wsruntime.service;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.CallServer;
import org.act.manage.util.ServerInfo;
import org.act.manage.wsruntime.meta.ServiceOperation;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ShowServiceDetailAction  extends Action {
    public ActionForward execute(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
    throws ServletException
	{
				String serviceName = request.getParameter("service");
		String serverType=(String)request.getSession().getAttribute("ServerType");
		String server=(String)request.getSession().getAttribute("Server");
		ArrayList ops = new ArrayList();	
		try {
			CallServer callServer=new CallServer
			(ServerInfo.getServerAddress(server,serverType).getAddress());
		String result="";
		result=callServer.testgetOperation(serviceName);
		
		request.setAttribute("Services",result);
		String opso[]=result.split("#");
		for(int i=1;i<opso.length;i++)
		{
			String temp=new StringBuffer(opso[i]).toString();
			
			String opAttrs[]=temp.split("~");
			
			ServiceOperation so=new ServiceOperation();
			so.setName(opAttrs[0]);
			so.setParameters(opAttrs[1]);
			so.setProcessStyle(opAttrs[2]);
			so.setFaults(opAttrs[3]);
			so.setReturnTypeName(opAttrs[4]);
			so.setReturnTypeNamespace(opAttrs[5]);
			ops.add(so);
		
		}
			
			
		
		request.setAttribute("operations", ops);
		} 
		catch(Throwable e) {
		request.getSession().setAttribute("Util_FailBackPage", "/blank.jsp");
		e.printStackTrace();
		return mapping.findForward("Failure");
		}
		
				
		request.setAttribute("serviceName", serviceName);
		
				return mapping.findForward("ServiceDetail");
	}
}
