<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@taglib uri="/WEB-INF/controls.tld" prefix="controls"%>
<html:html>
<head>
<title>
<bean:message key="user.title.personEdit"/>
</title>
<script language="javascript">
  function validate()
  {
      if(userInfoForm.password1.value!=userInfoForm.password2.value){
        alert('<bean:message key="user.alert.passwordNoMatch"/>');
        return false;
      }
      return validateUserInfoForm(userInfoForm);
  }
</script>
</head>
<link href="../Admin.css" rel="stylesheet" type="text/css">
<controls:body titleKey="user.title.personEdit">
<br>
<html:javascript formName="userInfoForm"/>
<html:form action="/user/userSave" method="post" name="userInfoForm" scope="session" type="org.act.manage.user.UserInfoForm" onsubmit="return validate();">
  <controls:ACTTable width="90%" align="center">
    <logic:equal name="op" value="modify" scope="session">
      <controls:tr styleClass="table_content" align="center">
        <td width="50%" class="table_header" align="center">
          <bean:message key="user.util.username"/>
        </td>
        <td>
          <html:text property="username" style="width:230px" readonly="true"/>
        </td>
      </controls:tr>
      <controls:tr styleClass="table_content" align="center">
        <td width="50%" class="table_header">
          <bean:message key="user.util.newpassword"/>
        </td>
        <td>
          <input type="password" name="password1" style="width:230px"/>
        </td>
      </controls:tr>
      <controls:tr styleClass="table_content" align="center">
        <td width="50%" class="table_header">
          <bean:message key="user.util.confirmpassword"/>
        </td>
        <td>
          <input type="password" name="password2" style="width:230px"/>
        </td>
      </controls:tr>
    </logic:equal>
    <controls:tr styleClass="table_content" align="center">
      <td width="50%" class="table_header">
        <bean:message key="user.util.email"/>
      </td>
      <td>
        <html:text property="email" style="width:230px">
        </html:text>
      </td>
    </controls:tr>
    <controls:tr styleClass="table_content" align="center">
      <td width="50%" class="table_header">
        <bean:message key="user.util.remark"/>
      </td>
      <td>
        <html:textarea property="remark" style="width:230px" rows="4">
        </html:textarea>
      </td>
    </controls:tr>

  </controls:ACTTable>
  <p align="center">
  <bean:define id="btnSave">
    <bean:message key="user.util.op.save"/>
  </bean:define>
  <bean:define id="btnReset">
    <bean:message key="user.util.op.reset"/>
  </bean:define>
  <html:submit styleClass="input_button" value="<%=btnSave%>" style="width:60px"/>
  <html:reset styleClass="input_button" value="<%=btnReset%>" style="width:60px"/>
  </p>
</html:form>

</controls:body>
</html:html>

