<%@taglib uri="/WEB-INF/struts-nested.tld" prefix="nested"%>
<%@taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/controls.tld" prefix="controls"%>
<%@page contentType="text/html; charset=utf-8"%>
<!--
  显示某流程业务流程列?
  传?参?:
  WF_BusinessList (request) 流程实例链表
  WF_History_Process (session) 流程ID
  WF_History_TypeName (session) 流程类型?
-->

<html:html>
<head>
  <link href="../../Admin.css" rel="stylesheet" type="text/css">
<title>
  <bean:message key="wf.process.title.business"/>
</title>
</head>

<controls:body  titleKey="wf.process.title.business">
  <jsp:include page="viewChain.jsp" flush="true"/>
  <br>
  <br>
  <h3 align="center"><bean:write name="WF_History_Process"/></h3>
  <bean:define id="tmpBtnName">
    <bean:message key="util.refresh"/>
  </bean:define>
  <bean:define id="tmpUrl">
    businessList.do?ID=<bean:write name="WF_History_Process"/>
  </bean:define>
  <center>
    <input type="button"  class="input_button" value="<%=tmpBtnName%>" style="width:100px" onclick="window.location='<%=tmpUrl%>'">
  </center>

 <controls:ACTTable width="100%" align="center">
          <controls:tr styleClass="table_header" align="center">
            <td width=25%>
              <bean:message key="wf.process.table.business.name"/>
            </td>
            <td width=20%>
              <bean:message key="wf.process.table.beginTime"/>
            </td>
            <td width=20%>
              <bean:message key="wf.process.table.endTime"/>
            </td>
            <td width=15%>
              <bean:message key="wf.process.table.business.status"/>
            </td>
            <td width=20%>
              <bean:message key="wf.process.table.business.op"/>
            </td>
          </controls:tr>

          <logic:iterate id="ListItem" name="WF_BusinessList">
            <controls:tr styleClass="table_content">
              <td align="center">
                <bean:write name="ListItem" property="name"/>&nbsp;
              </td>
              <td align="center">
                <bean:write name="ListItem" property="beginTime"/>&nbsp;
              </td>
              <td  align="center">
                <bean:write name="ListItem" property="endTime"/>&nbsp;
              </td>
              <td align="center">
                <bean:write name="ListItem" property="status"/>
              </td>
              <td  align="center">
                <logic:equal name="ListItem" property="haveSubPro" value="true">
                  <html:link page="/workflow/process/activityList.do" paramId="ID" paramName="ListItem" paramProperty="id">
                  <html:img src="../../images/Next.gif" border="0" align="top"/><bean:message key="util.op.list"/>
                </html:link>
                <html:link page="/workflow/process/activityGraph.do" paramId="ID" paramName="ListItem" paramProperty="id">
                  &nbsp;<html:img src="../../images/Flow.gif" border="0" align="top"/>
                </html:link>
                </logic:equal>&nbsp;
              </td>
            </controls:tr>
          </logic:iterate>
  </controls:ACTTable>
  </controls:body>
</html:html>

