package org.act.manage.controls;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.JspWriter;
import java.io.IOException;
import javax.servlet.jsp.JspException;

public class TDTag
extends BodyTagSupport
{
private String styleClass;
private String mAlign;
private String mWidth;
private String mStyle;
private String mHeight;
private String mExtra;
private String mColspan;
private String mScope;

public String getStyleClass()
{
    return styleClass;
}

public void setStyleClass(String mClass)
{
    styleClass = mClass;
}

public String getAlign()
{
    return mAlign;
}

public void setAlign(String align)
{
    mAlign = align;
}

public String getWidth()
{
    return mWidth;
}

public void setWidth(String width)
{
    mWidth = width;
}

public String getStyle()
{
    return mStyle;
}

public void setStyle(String style)
{
    mStyle = style;
}

public String getHeight(){
    return mHeight;
}

public void setHeight(String height){
    mHeight = height;
}

public String getColspan()
{
    return mColspan;
}

public void setColspan(String colspan)
{
    mColspan = colspan;
}

public String getScope(){
    return mScope;
}

public void setScope(String scope){
    mScope = scope;
}

public String getExtra()
{
    return mExtra;
}

public void setExtra(String extra)
{
    mExtra = extra;
}

public int doStartTag() throws JspException
{
    JspWriter out = pageContext.getOut();
    try
    {
        out.print("<td ");
        if(attribute(mAlign)==true)
            out.print(" align=\""+mAlign+"\"");
        if(attribute(mScope)==true)
            out.print(" scope=\""+mScope+"\"");
        if(attribute(mWidth)==true)
            out.print(" width=\""+mWidth+"\"");
        if(attribute(mColspan)==true)
            out.print(" colspan=\""+mColspan+"\"");
        if(attribute(styleClass)==true)
            out.print(" class=\""+styleClass+"\"");
        if(attribute(mStyle)==true)
            out.print(" style=\""+mStyle+"\"");
        if(attribute(mHeight)==true)
            out.print(" height=\""+mHeight+"\"");
        if(attribute(mExtra)==true)
            out.print(" "+mExtra);
        out.print(" > \n");
    }
    catch (IOException ex)
    {
    }
    return (EVAL_BODY_INCLUDE);
}
private boolean attribute(String input){
    if(input != null&&!input.equals("")){
        return true;
    }else
        return false;
}

public int doEndTag() throws JspException
{
        JspWriter out = pageContext.getOut();
    try
    {
        out.print("</td>\n");
    }
    catch (IOException ex)
    {
    }
    return (EVAL_PAGE);
}
}
