package org.act.manage.controls;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.JspWriter;
import java.io.IOException;
import javax.servlet.jsp.JspException;

public class TRTag
extends BodyTagSupport
{
private String styleClass;
private String mAlign;
private String mStyle;
private String mNumber;
private String mExtra;
static final String TABLE_CONTENT = "table_content";
static final String TABLE_CONTENT2 = "table_content2";

public String getStyleClass()
{
    return styleClass;
}

public void setStyleClass(String mClass)
{
    styleClass = mClass;
}

public String getAlign()
{
    return mAlign;
}

public void setAlign(String align)
{
    mAlign = align;
}

public String getStyle()
{
    return mStyle;
}

public void setStyle(String style)
{
    mStyle = style;
}

public String getNumber()
{
    return mNumber;
}

public void setNumber(String number)
{
    mNumber = number;
}

public String getExtra()
{
    return mExtra;
}

public void setExtra(String extra)
{
    mExtra = extra;
}

public int doStartTag() throws JspException
{
    JspWriter out = pageContext.getOut();
    try
    {
        out.print("<tr ");
        if(attribute(mAlign)==true)
            out.print(" align=\""+mAlign+"\"");
        if(attribute(mStyle)==true)
            out.print(" style=\""+mStyle+"\"");
        if(attribute(mNumber)==true){
            int i = Integer.parseInt(mNumber);
            if(i%2==1){
                out.print(" class=\""+TABLE_CONTENT2+"\" ");
            }else if(i%2==0){
                out.print(" class=\""+TABLE_CONTENT+"\" ");
            }
        }
        if(attribute(styleClass)==true)
            out.print(" class=\""+styleClass+"\"");
        if(attribute(mExtra)==true)
            out.print(" "+mExtra);
        out.print(" > \n");
    }
    catch (IOException ex)
    {
    }
    return (EVAL_BODY_INCLUDE);
}
private boolean attribute(String input){
    if(input != null&&!input.equals("")){
        return true;
    }else
        return false;
}

public int doEndTag() throws JspException
{
        JspWriter out = pageContext.getOut();
    try
    {
        out.print("</tr>\n");
    }
    catch (IOException ex)
    {
    }
    return (EVAL_PAGE);
}
}
