
package org.act.manage.threadpool;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.xml.namespace.QName;
import org.act.manage.util.CallServer;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ServerInfo;
import org.act.soap.util.TMConstants;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ThreadPoolDetailInfoAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException {
		HttpSession session = request.getSession();
		String backPage = (String) session.getAttribute("Util_SucBackUrl");
		String threadpoolname = (String)session.getAttribute("Threadpoolname");
		String serverType=(String)request.getSession().getAttribute("ServerType");
		String server=(String)request.getSession().getAttribute("Server");
		String result=null;
		String uri=ServerInfo.getServerAddress(server, serverType).getAddress();
		if (serverType.equals("WSRuntime"))
		{
			try{
				result = (String) CallServer.invoke("getTPCurrentTreadCount", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_STRING },
						new Object[] {threadpoolname });
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		}
		else if (serverType.equals("WorkflowEngine")) {
			try {
				result = (String) CallWfEngine.invoke("getTPCurrentTreadCount", uri,
						TMConstants.XSD_STRING,
						new QName[] { javax.xml.rpc.encoding.XMLType.XSD_STRING },
						new Object[] { threadpoolname });
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		else
		{
			return mapping.findForward("Fail");
		}
				if(result==null)
						if(session.getAttribute("ThreadPoolDetailInfo")==null) result="0";
						else result=(String)session.getAttribute("ThreadPoolDetailInfo");
		session.setAttribute("ThreadPoolDetailInfo",result);
				ArrayList args=new ArrayList();
				if(session.getAttribute("ThreadPoolDetailLine")==null)
			args.add(new String(result));
				else
		{
			args=(ArrayList)session.getAttribute("ThreadPoolDetailLine");
			args.add(new String(result));
		}
			
		session.setAttribute("ThreadPoolDetailLine",args);
		String argsString[]=(String[])args.toArray(new String[0]);
		
		return mapping.findForward("Forward");
	}
}
