
package org.act.manage.user;
import java.util.ArrayList;
import java.util.Vector;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.RBACManager;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.Utils;
import org.act.manage.util.XMLConfigUtil;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class LoginAction
	extends Action
{
    public ActionForward execute(ActionMapping mapping
                                 , ActionForm actionForm
                                 , HttpServletRequest request
                                 , HttpServletResponse servletResponse)
    {
                LoginForm form = (LoginForm)actionForm;
        String username = form.getUsername();
        String password = form.getPassword();
                if (username==null||password==null) return mapping.findForward("Login");
                                        String filePath = Utils.mUserConfigFile;
        try
        {
            Document doc = XMLConfigUtil.loadDocumentFromFile(filePath);
            Vector v = null;
            v = XMLConfigUtil.getElement(doc, null, "user", null);
            int i = 0;
            i = v.size();
            Element ele = null;
            String name;
            String pwd;
            for (int j = 0; j < i; j++)
            {
                ele = (Element)v.elementAt(j);
                name = XMLConfigUtil.getTextByPath(doc, ele, "username", null, null);
                pwd = XMLConfigUtil.getTextByPath(doc, ele, "password", null, null);
                if (username.equals(name))
                {
                    if (password.equals(pwd))
                    {
                        request.getSession().setAttribute("ACTAdminUser"
                            , username);
                        RBACManager rbac = new RBACManager();
                        String server=rbac.login(username);
                        ArrayList serverList=new ArrayList();
                        serverList=rbac.getMUserServerList();
                        for(i=0;i<serverList.size();i++)
                        {
                        	if (((String)(serverList.get(i))).equals(server))
                        	{
                        		serverList.remove(i);
                        		break;
                        	}
                        	
                        }
                        String serverType=rbac.getMServerType();
                        request.getSession().setAttribute("ServerType", serverType);
                        request.getSession().setAttribute("Server", server);
                        request.getSession().setAttribute("ACTRBAC", rbac);
                        request.getSession().setAttribute("ServerList", serverList);
                        return mapping.findForward("Forward");
                    }
                    else
                    {
                        throw new UserException("invalid password!");
                    }
                }
                else
                {
                    if (j == i - 1)
                    {
                        throw new UserException("user doesn't exist!");
                    }
                }
            }
        }
        catch (Exception ex)
        {
                        String backUrl = "login.jsp";
            request.getSession().setAttribute("Util_FailBackPage", backUrl);
            String tmp = AdminResBundle.getMessage("user.error.login");
            tmp += " " + ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        return null;
    }
}
