
package org.act.manage.user;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.Utils;
import org.act.manage.util.XMLConfigUtil;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

public class UserDelAction    extends Action
{
    public ActionForward execute(ActionMapping mapping
                                 , ActionForm actionForm
                                 , HttpServletRequest request
                                 , HttpServletResponse servletResponse)
    {
                String username = request.getParameter("username");
        try
        {
                        String filePath = Utils.mUserConfigFile;
            Document doc = XMLConfigUtil.loadDocumentFromFile(filePath);
                        Element root = doc.getDocumentElement();
            String eleName = root.getTagName();
            NodeList nl = root.getElementsByTagName("user");
            int i = nl.getLength();
            Element ele = null;
            String name;
            for(int j=0; j<=i-1; j++){
                ele = (Element) nl.item(j);
                name = XMLConfigUtil.getTextByPath(doc, ele, "username", null, null);
                if(name.equals(username)){
                    break;
                }
                if(i==j-1){
                    throw new UserException("û");
                }
            }
            root.removeChild(ele);
            XMLConfigUtil.saveDocumentToFile(doc, filePath);
        }
        catch (Exception ex)
        {
                        String backUrl = "/user/userList.do";            request.getSession().setAttribute("Util_FailBackPage", backUrl);
            String tmp = AdminResBundle.getMessage("user.error.userdelete");
            tmp += " "+ex.getMessage();
            request.getSession().setAttribute("Util_ErrorInfo", tmp);
            request.getSession().setAttribute("Util_ErrorDetail"
                                              , Utils.FormatExceptionToHtml(ex));
            return mapping.findForward("Failure");
        }
        String tmp = AdminResBundle.getMessage("user.success.userdelete");
        request.getSession().setAttribute("Util_SucInfo", tmp);
        request.getSession().setAttribute("Util_SucBackUrl", "/user/userList.do");
        return mapping.findForward("Success");
    }
}
