
package org.act.manage.util;
import java.net.MalformedURLException;
import java.rmi.RemoteException;
import java.util.List;
import java.util.Vector;
import javax.activation.DataHandler;
import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceFactory;
import javax.xml.rpc.encoding.XMLType;
import org.act.soap.util.TMConstants;

public class CallServer {
	private String SERVICE_URI = "http://127.0.0.1:8090/SystemInfo";
	private ServiceFactory serviceFactory = null;
	private String serviceURI = null;
	public CallServer(String ServiceUri) {
		this.SERVICE_URI = ServiceUri;
	}
	public static Object invoke(String serviceName, String uri,
			QName returnType, QName[] paramsType, Object[] params)
			throws MalformedURLException, RemoteException {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(uri);
		call.setOperationName(new QName(uri, serviceName));
		call.setReturnType(returnType);
		for (int i = 0; i < paramsType.length; i++) {
			call.addParameter("param" + i, paramsType[i], ParameterMode.IN);
		}
		return call.invoke(params);
	}
		public String getJVMTotalM() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getJVMTotalM"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(1) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getJVMMaxM() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getJVMMaxM"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(1) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testgetJVMFreeM() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getJVMFreeM"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(1) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
		public String testListServices() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getDeployedServices"));
		call.setReturnType(TMConstants.XSD_STRING);
										Object[] params = new Object[0];
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testgetOperation(String serviceName) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getOperation"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { serviceName };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String UnDeployService(String serviceName) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "UnDeployService"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { serviceName };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testgetWsdd(String serviceName) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getWsdd"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { serviceName };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testgetWsdl(String serviceName) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getWsdl"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { serviceName };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
		return returnValue;
	}
		public String getObjectPoolSize(String name, String mode) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getObjectPoolSize"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfString, ParameterMode.IN);
		call.addParameter("param1", typeOfString, ParameterMode.IN);
		Object[] params = new Object[] { name, mode };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getObjectPoolMaxSize(String name, String mode)
			throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getObjectPoolMaxSize"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfString, ParameterMode.IN);
		call.addParameter("param1", typeOfString, ParameterMode.IN);
		Object[] params = new Object[] { name, mode };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setObjectPoolMaxSize(String name, String mode, int maxSize)
			throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setObjectPoolMaxSize"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfString, ParameterMode.IN);
		call.addParameter("param1", typeOfString, ParameterMode.IN);
		call.addParameter("param2", typeOfInt, ParameterMode.IN);
		Object[] params = new Object[] { name, mode, new Integer(maxSize) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getAllObjectPoolName() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getAllObjectPoolName"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
		public String getTPCurrentTreadCount(String Name) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getTPCurrentTreadCount"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { Name };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getTPCurrentTreadBusy(String Name) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getTPCurrentTreadBusy"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { Name };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getTPMaxSpareThread(String Name) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getTPMaxSpareThread"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { Name };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getTPMinSpareThread(String Name) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getTPMinSpareThread"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { Name };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getTPMaxThread(String Name) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getTPMaxThread"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { Name };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getAllTPName() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getAllTPName"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
		public String getExpriyTime() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getExpriyTime"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setExpiryTime(String expirytime) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setExpiryTime"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { expirytime };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getReplyPatternValueRespone() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI,
				"getReplyPatternValueRespone"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setReplyPatternValueResponse(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI,
				"setReplyPatternValueResponse"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getReplyPatternValueCallback() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI,
				"getReplyPatternValueCallback"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setReplyPatternValueCallback(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI,
				"setReplyPatternValueCallback"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getReplyPatternValuePoll() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call
				.setOperationName(new QName(SERVICE_URI,
						"getReplyPatternValuePoll"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setReplyPatternValuePoll(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call
				.setOperationName(new QName(SERVICE_URI,
						"setReplyPatternValuePoll"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String getGroupExpiryTime() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getGroupExpiryTime"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setGroupExpiryTime(String date) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setGroupExpiryTime"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { date };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public int getGroupMaxIdleDuration() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call
				.setOperationName(new QName(SERVICE_URI,
						"getGroupMaxIdleDuration"));
		call.setReturnType(TMConstants.XSD_INT);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		int returnValue = ((Integer) call.invoke(params)).intValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setGroupMaxIdleDuration(int seconds) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call
				.setOperationName(new QName(SERVICE_URI,
						"setGroupMaxIdleDuration"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(seconds) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getGuaranteedDelivery() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getGuaranteedDelivery"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setGuaranteedDelivery(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setGuaranteedDelivery"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getNoDuplicateDelivery() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getNoDuplicateDelivery"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setNoDuplicateDelivery(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setNoDuplicateDelivery"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getExactlOnceDelivery() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getExactlOnceDelivery"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setExactlOnceDelivery(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setExactlOnceDelivery"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public boolean getOrderedDelivery() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getOrderedDelivery"));
		call.setReturnType(TMConstants.XSD_BOOLEAN);
								Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		boolean returnValue = ((Boolean) (call.invoke(params))).booleanValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setOrderedDelivery(boolean b) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setOrderedDelivery"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfBoolean = javax.xml.rpc.encoding.XMLType.XSD_BOOLEAN;
				call.addParameter("param0", typeOfBoolean, ParameterMode.IN);
				Object[] params = new Object[] { new Boolean(b) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	
	public int getMaxCacheCapacity() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getMaxCacheCapacity"));
		call.setReturnType(TMConstants.XSD_INT);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		int returnValue = ((Integer) call.invoke(params)).intValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	
	public String setMaxCacheCapacity(int capacity) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setMaxCacheCapacity"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(capacity) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public int getRmpState() throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "getRmpState"));
		call.setReturnType(TMConstants.XSD_INT);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
						Object[] params = new Object[] {};
		long start = System.currentTimeMillis();
		int returnValue = ((Integer) call.invoke(params)).intValue();
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String setRmpState(int state) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "setRmpState"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
		QName typeOfInt = javax.xml.rpc.encoding.XMLType.XSD_INT;
		call.addParameter("param0", typeOfInt, ParameterMode.IN);
				Object[] params = new Object[] { new Integer(state) };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testo(String serviceName) throws Exception {
		org.apache.axis.client.Call call = new org.apache.axis.client.Call(
				SERVICE_URI);
		call.setOperationName(new QName(SERVICE_URI, "toLowerCase"));
		call.setReturnType(TMConstants.XSD_STRING);
		QName typeOfString = javax.xml.rpc.encoding.XMLType.XSD_STRING;
				call.addParameter("param0", typeOfString, ParameterMode.IN);
				Object[] params = new Object[] { serviceName };
		long start = System.currentTimeMillis();
		String returnValue = (String) call.invoke(params);
		long end = System.currentTimeMillis();
		System.out.println("Tasks Time:" + (end - start)
				+ " milliseconds\nReturn Value:" + returnValue);
				return returnValue;
	}
	public String testAttach(String server,byte[] fileName,String wsName) throws Exception {
		  String serviceName = "SystemInfo";
		  String portName = "SystemInfo_doc";
		  String targetNS = "http://SystemInfo.act.org";
		  String endpoint = server;
		  String SERVICEFACTORY_PROPERTY = "javax.xml.rpc.ServiceFactory";
		  String SERVICEFACTORY_IMPL = "org.act.soap.client.ServiceFactory";
		ServiceFactory sf = null;
		Service service = null;
		org.act.soap.client.Call call = null;
		System.setProperty(SERVICEFACTORY_PROPERTY, SERVICEFACTORY_IMPL);
				System.setProperty("javax.xml.soap.SOAPConnectionFactory",
				"org.act.soap.message.transport.ConnectionFactoryImpl");
				System.setProperty("javax.xml.soap.MessageFactory",
				"org.act.soap.message.MessageFactoryImpl");
		sf = ServiceFactory.newInstance();
		service = sf.createService(new QName(targetNS, serviceName));
		call = (org.act.soap.client.Call) service.createCall(new QName(
				targetNS, portName));
		call.setTargetEndpointAddress(endpoint);
		call.setOperationName(new QName(targetNS, "TestUpload"));
														DataHandler dh0 = new DataHandler(wsName, "text/plain");
		
		DataHandler dh1 = new DataHandler(new ByteArrayDataSource(fileName,"Application/Octet-stream"));
		List dhs = new Vector();
		dhs.add(dh0);
	   dhs.add(dh1);
	  
				Object[] params = new Object[1];
		params[0] = (DataHandler[]) dhs.toArray(new DataHandler[dhs.size()]);
		call.addParameter("arg1", XMLType.SOAP_ARRAY, ParameterMode.IN);
		call.setReturnType(XMLType.XSD_STRING);
		Object ret = call.invoke(params);														return "ok";
	}
	public static void main(String[] args) {
		CallServer cs = new CallServer("http://localhost:8090/SystemInfo");
		try {
																					cs.testListServices();
		} catch (Exception e) {
						e.printStackTrace();
		}
	}
}
