
package org.act.manage.util;
import javax.activation.DataHandler;
import javax.xml.messaging.URLEndpoint;
import javax.xml.soap.AttachmentPart;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPBody;
import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPConnection;
import javax.xml.soap.SOAPConnectionFactory;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPHeader;
import javax.xml.soap.SOAPMessage;
import javax.xml.soap.SOAPPart;

public class WfAttach {
	public static String testAttach(String server,byte[] file,String wsName) throws Exception {
		
		MessageFactory mf = MessageFactory.newInstance();
		SOAPMessage msg = mf.createMessage();
		SOAPPart sp = msg.getSOAPPart();
		SOAPEnvelope envelope=sp.getEnvelope();
		SOAPHeader hdr = envelope.getHeader();
		
		Name headerName = envelope.createName("ManageID", "tns","http://SystemInfo.act.org/");
		javax.xml.soap.SOAPHeaderElement headerElement = hdr.addHeaderElement(headerName);
		headerElement.addTextNode("00001");
		SOAPBody body=envelope.getBody();
		envelope.addNamespaceDeclaration("soapenv","http://schemas.xmlsoap.org/soap/envelope/");
		   envelope.addNamespaceDeclaration("soapenc","http://schemas.xmlsoap.org/soap/encoding/");
		   envelope.addNamespaceDeclaration("xsd","http://www.w3.org/2001/XMLSchema");
		   envelope.addNamespaceDeclaration("xsi","http://www.w3.org/2001/XMLSchema-instance");
		   envelope.addNamespaceDeclaration("tns","http://SystemInfo.act.org/");
		   envelope.setEncodingStyle("http://schemas.xmlsoap.org/soap/encoding/");
		   Name name = envelope.createName("WorkflowUpload");
		   SOAPBodyElement bodyElement = body.addBodyElement(name);
		   Name param = envelope.createName("param0");
		   SOAPElement element = bodyElement.addChildElement(param);
		  Name name1 = envelope.createName("ArrayOf_actsoapenc_DataHandler");
		  element.addChildElement(name1);
		  		  AttachmentPart attachmentPart1 =  msg.createAttachmentPart(wsName,"text/plain");
		  msg.addAttachmentPart(attachmentPart1);
		  DataHandler dh1 = new DataHandler(new ByteArrayDataSource(file,"Application/Octet-stream"));
		
		   AttachmentPart attachmentPart = msg.createAttachmentPart(dh1);
		   msg.addAttachmentPart(attachmentPart);
		   msg.saveChanges();
		   		   SOAPConnectionFactory connectionFactory = SOAPConnectionFactory.newInstance();
		   SOAPConnection connection = connectionFactory.createConnection();
		   String url = server;
		   URLEndpoint urlEndpoint = new URLEndpoint(url);
		   SOAPMessage response = connection.call(msg,urlEndpoint);
		return "ok";
	}
}
