
package org.act.manage.workflow.db;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;
import org.act.manage.util.ConnectionDB;

public class SuperInfo {
	public SuperInfo() {
    }
    
	public static Vector queryInfo(Connection connection,String transactionID){
                Vector superInfo = new Vector();
        
        String sqlQuery = "select * from superiortable where txid = '"+
            transactionID +"'";
        try {
                        Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
            while (resultset.next()) {
                
						
                superInfo.add(resultset.getString("txid"));
                superInfo.add(resultset.getObject("starttime"));
                superInfo.add(resultset.getObject("stoptime"));
                superInfo.add(resultset.getObject("preparetime_b"));
                superInfo.add(resultset.getObject("prepare_time_e"));
                superInfo.add(resultset.getObject("confirmtime_b"));
                superInfo.add(resultset.getObject("confirmtime_e"));
                superInfo.add(resultset.getObject("canceltime_b"));
                superInfo.add(resultset.getObject("canceltime_e"));
                superInfo.add(resultset.getObject("result"));
                superInfo.add(resultset.getObject("status"));
                superInfo.add(resultset.getObject("deciderAddr"));
               
            }
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return superInfo;
    }
	public static int queryStartedNum(Connection connection){
        String startTime=WfEngineInfo.queryStartTime(connection);
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");
        Date date1=null;
        long stime=0;
        int result=-1;
        try {
    		date1= sdf.parse(startTime);
            stime=date1.getTime();
         }
         catch(ParseException e) {
            System.out.println("Unable to parse " );
         }
		
        String sqlQuery = "select count(txid) from superiortable where starttime>='"+
		+stime+"'";
        try {
                        Statement statement = connection.createStatement();
            ResultSet resultset = statement.executeQuery(sqlQuery);
           resultset.next();
           result=((Integer)resultset.getObject(1)).intValue();
            
            resultset.close();
            statement.close();
            connection.close();
        }
        catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
        return result;
    }
    
    public boolean insert(String transactionID, long startTime, long stopTime,
                          List dbAddrList){
                String address = "";
                StringBuffer addressList = new StringBuffer();
        for (Iterator iter = dbAddrList.iterator(); iter.hasNext(); ) {
            address = iter.next().toString();
            addressList.append(address);
            addressList.append("/");
        }
        String sqlInsert = "insert into SuperInfoTable" +
            "(TransactionID,StartTime,StopTime,DBAddrList) values('"+
            transactionID +"','"+ Long.toString(startTime) +"','"+
            Long.toString(stopTime) +"','"+ addressList.toString() +"')";
        try{
            Connection connection =  new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlInsert);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
    
    public boolean delete(String transactionID){
        String sqlDelete = "delete from SuperInfoTable where " +
           "TransactionID = '"+ transactionID +"'";
        try{
            Connection connection =  new ConnectionDB().getConnection();
            Statement statement = connection.createStatement();
            statement.executeUpdate(sqlDelete);
            statement.close();
            connection.close();
            return true;
        }
        catch(SQLException ex){
            System.out.println(ex.getMessage());
            return false;
        }
    }
    
    public static void main(String[] args) {
		Connection connection =  new ConnectionDB().getConnection();
		SuperInfo.queryStartedNum(connection);
	}
}
