
package org.act.manage.workflow.deploy;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.manage.util.CallWfEngine;
import org.act.manage.util.ServerInfo;
import org.act.manage.wsruntime.deploy.WSARUpLoadForm;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

public class DeployAction extends Action
{
    public ActionForward execute(ActionMapping
                                 mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        ServletException
    {
                BARUpLoadForm uploadForm = (BARUpLoadForm)form;
        String serviceName = uploadForm.getServiceName();
        FormFile file = uploadForm.getBarFile();
         
        String serverType = (String) request.getSession().getAttribute(
				"ServerType");
		String server = (String) request.getSession().getAttribute("Server");
		String serverAdd=ServerInfo.getServerAddress(server,serverType).getAddress();
		CallWfEngine callServer = new CallWfEngine(
				ServerInfo.getServerAddress(server,serverType).getAddress());
       
		
        try {
        	String listServices=callServer.getDeployedInstances();
        	if(listServices.indexOf(serviceName)!=-1)
        		return mapping.findForward("DeployFailed");
        	        	
			String text = (String)callServer.testAttach(serverAdd,file.getFileData(),serviceName);
		} catch (Exception e) {
						e.printStackTrace();
			return mapping.findForward("DeployFailed");
		}
		
                file.destroy();
                return mapping.findForward("DeploySuccess");
    }
}
