
package org.act.manage.wsruntime.deploy;
import javax.servlet.ServletException;
import javax.servlet.http.*;
import javax.xml.namespace.QName;
import org.act.manage.util.CallServer;
import org.act.manage.util.ServerInfo;
import org.act.soap.util.TMConstants;
import org.apache.struts.action.*;
import org.apache.struts.upload.FormFile;

public class DeployAction extends Action
{
    public ActionForward execute(ActionMapping
                                 mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws
        ServletException
    {
                WSARUpLoadForm uploadForm = (WSARUpLoadForm)form;
        String serviceName = uploadForm.getServiceName();
        FormFile file = uploadForm.getWsarFile();
         
        String serverType = (String) request.getSession().getAttribute(
				"ServerType");
		String server = (String) request.getSession().getAttribute("Server");
		String serverAdd=ServerInfo.getServerAddress(server,serverType).getAddress();
		CallServer callServer = new CallServer(
				ServerInfo.getServerAddress(server,serverType).getAddress());
       
		
        try {
        	String listServices=callServer.testListServices();
        	if(listServices.indexOf(serviceName)!=-1)
        		return mapping.findForward("DeployFailed");
        	        	
			String text = (String)callServer.testAttach(serverAdd,file.getFileData(),serviceName);
		} catch (Exception e) {
						e.printStackTrace();
			return mapping.findForward("DeployFailed");
		}
		
                file.destroy();
                return mapping.findForward("DeploySuccess");
    }
}
