
package org.act.manage.wsruntime.deploy;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.namespace.QName;
import org.act.manage.util.AdminResBundle;
import org.act.manage.util.CallServer;
import org.act.manage.util.ServerInfo;
import org.act.manage.util.Utils;
import org.act.soap.util.TMConstants;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class UndeployAction extends Action {
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws ServletException {
				String serviceName = request.getParameter("service");
		
				try {
			String serverType = (String) request.getSession().getAttribute(
			"ServerType");
			String server = (String) request.getSession().getAttribute("Server");
			String uri=ServerInfo.getServerAddress(server, serverType).getAddress();
			String result = (String) CallServer.invoke(
					"UnDeployService", uri, TMConstants.XSD_STRING,
					new QName[] {
							javax.xml.rpc.encoding.XMLType.XSD_STRING },
					new Object[] { serviceName});
		} catch (Exception e) {
			request.getSession()
					.setAttribute("Util_FailBackPage", "/blank.jsp");
			String tmp = AdminResBundle.getMessage("xl.deploy.unDeploy");
			tmp += " " + e.getMessage();
			request.getSession().setAttribute("Util_ErrorInfo", tmp);
			request.getSession().setAttribute("Util_ErrorDetail",
					Utils.FormatExceptionToHtml(e));
			return mapping.findForward("Failure");
		}
				return mapping.findForward("UndeploySuccess");
	}
}
