<%@taglib uri="/WEB-INF/struts-nested.tld" prefix="nested"%>
<%@taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/controls.tld" prefix="controls"%>
<%@page contentType="text/html; charset=utf-8"%>
<%@page import="org.act.manage.util.Utils" %>
<!--
  显示某种类型流程实例列表
  传?参?:
  WF_ProcessList (request) 流程实例链表
  WF_History_TypeName (session) 流程类型?
-->

<html:html>
<head>
  <link href="../../Admin.css" rel="stylesheet" type="text/css">
<title>
  <bean:message key="wf.process.title.process"/>
</title>
</head>

<controls:body titleKey="wf.process.title.process">
  <jsp:include page="viewChain.jsp" flush="true"/>
  <br>
  <br>
  <h3 align="center"><bean:write name="WF_History_Type"/></h3>
  <bean:define id="tmpBtnName">
    <bean:message key="util.refresh"/>
  </bean:define>
  <bean:define id="tmpUrl">
    processList.do?Type=<bean:write name="WF_History_Type"/>
  </bean:define>
  <center>
    <input type="button"  styleClass="input_button" value="<%=tmpBtnName%>" style="width:100px" onclick="window.location='<%=tmpUrl%>';">
  </center>

  <controls:ACTTable width="100%" align="center">
          <controls:tr styleClass="table_header" align="center">
            <td width=30%>
              <bean:message key="wf.process.table.process.id"/>
            </td>
            <td width=18%>
              <bean:message key="wf.process.table.beginTime"/>
            </td>
            <td width=18%>
              <bean:message key="wf.process.table.endTime"/>
            </td>
            <td>
              <bean:message key="wf.process.table.executeTime"/>
            </td>
            <td width=15%>
              <bean:message key="wf.process.table.process.status"/>
            </td>
            <td width=19%>
              <bean:message key="util.op"/>
            </td>
          </controls:tr>

          <bean:define id="tmpOffset" name="WF_Page_ProcessItem"/>
          <logic:iterate id="ListItem" name="WF_ProcessList" length="Util_PageSize" offset="<%=tmpOffset.toString()%>">
            <controls:tr styleClass="table_content">
              <td align="center">
                <bean:write name="ListItem" property="processID"/>
              </td>
              <td align="center">
                <bean:write name="ListItem" property="beginTime"/>
              </td>
              <td  align="center">
                <bean:write name="ListItem" property="endTime"/>&nbsp;
              </td>
              <td align="center">
                <bean:write name="ListItem" property="executeTime"/>
              </td>
              <td align="center">
                <bean:write name="ListItem" property="status"/>
              </td>
              <td  align="center">
                <bean:define id="tmpRunning">
                  <bean:message key="wf.process.table.status.running"/>
                </bean:define>
                <bean:define id="tmpPause">
                  <bean:message key="wf.process.table.status.manualpause"/>
                </bean:define>
                <bean:define id="tmpTerminate">
                  <bean:message key="wf.process.table.status.isShutdown"/><bean:message key="wf.process.table.status.success"/>
                </bean:define>
                <bean:define id="tmpComplete">
                  <bean:message key="wf.process.table.status.completed"/>
                </bean:define>
                <bean:define id="tmpPassivate">
                  <bean:message key="wf.process.table.status.passivate"/>
                </bean:define>
                <bean:define id="tmpDisabled">
                  <bean:message key="wf.process.table.status.disabled"/>
                </bean:define>

                <html:link page="/workflow/process/activityList.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                  <html:img src="../../images/Next.gif" border="0" align="top" altKey="wf.process.table.process.list"/>
                </html:link>
                <html:link page="/workflow/process/activityGraph.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                  &nbsp;<html:img src="../../images/Flow.gif" border="0" align="top" altKey="wf.process.table.process.graph"/>
                </html:link>

                <logic:equal name="ListItem" property="status" value="<%=tmpRunning%>">
                  <html:link page="/workflow/process/processPause.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Pause.gif" border="0" align="top" altKey="util.op.pause"/>
                  </html:link>
                  <html:link page="/workflow/process/processTerminate.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Stop.gif" border="0" align="top" altKey="util.op.stop"/>
                  </html:link>
                </logic:equal>

                <logic:equal name="ListItem" property="status" value="<%=tmpPassivate%>">
                  <html:link page="/workflow/process/processPause.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Pause.gif" border="0" align="top" altKey="util.op.pause"/>
                  </html:link>
                  <html:link page="/workflow/process/processTerminate.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Stop.gif" border="0" align="top" altKey="util.op.stop"/>
                  </html:link>
                </logic:equal>

                <logic:equal name="ListItem" property="status" value="<%=tmpPause%>">
                  <html:link page="/workflow/process/processResume.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Resume.gif" border="0" align="top" altKey="util.op.resume"/>
                  </html:link>
                  <html:link page="/workflow/process/processTerminate.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                    &nbsp;<html:img src="../../images/Stop.gif" border="0" align="top" altKey="util.op.stop"/>
                  </html:link>
                </logic:equal>
				<bean:define id="tmpAlert">
            		<bean:message key="util.confirmDel"/>
          		</bean:define>
				<bean:define id="tmpURL">
            		/workflow/process/processDel.do?ID=<bean:write name="ListItem" property="processID"/>
          		</bean:define>
                <html:link page="/workflow/process/processDel.do" paramId="ID" paramName="ListItem" paramProperty="processID">
                  &nbsp;<html:img src="../../images/Delete.gif" border="0" align="top" altKey="util.op.remove"/>
                </html:link>
              </td>
            </controls:tr>
          </logic:iterate>
  </controls:ACTTable>
  <bean:define id="tmpUrl">
    processList.do?Type=<bean:write name="WF_History_Type"/>
  </bean:define>
  <p align="right">
    <controls:pages url="<%=tmpUrl%>" collection="WF_ProcessList" onePageItems="<%=Utils.mPageItemCount%>" currentPageName="WF_Page_Process" tableClass="divide_page"/>
  </p>
  </controls:body>
</html:html>
