?<%@taglib uri="/WEB-INF/struts-nested.tld" prefix="nested"%>
<%@taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/controls.tld" prefix="controls"%>
<%@page contentType="text/html; charset=utf-8"%>
<!--

  WF_BusinessList (request)
  WF_History_Process (session)
  WF_History_TypeName (session)
-->

<html:html>
<head>
  <link href="../../Admin.css" rel="stylesheet" type="text/css">
<title>
  <bean:message key="wf.process.title.transaction"/>
</title>
</head>

<controls:body titleKey="wf.process.title.transaction">
  <jsp:include page="viewChain.jsp" flush="true"/>
  <br>
  <br>
  <h3 align="center"><bean:write name="WF_History_TransactionID"/></h3>

  <h3 align="center"><bean:message key="wf.process.table.transaction.basicInfo"/></h3>
  <bean:define id="tmpBtnName">
    <bean:message key="util.refresh"/>
  </bean:define>
  <bean:define id="tmpUrl">
    transactionInfo.do?txID=<bean:write name="WF_History_TransactionID"/>
  </bean:define>
  <center>
    <input type="button"  class="input_button" value="<%=tmpBtnName%>" style="width:100px" onclick="window.location='<%=tmpUrl%>'">
  </center>

  <controls:ACTTable width="100%" align="center">
       <logic:iterate id="ListItem" name="WF_TransactionList">
            <controls:tr align="center" styleClass="table_content">
              <td width="30%" class="table_header">
                <b>
                  <bean:message key="wf.process.table.beginTime"/>
                </b>
              </td>
              <td >
                <bean:write name="ListItem" property="beginTime"/>&nbsp;
              </td>
              <td width="30%" class="table_header">
                <b>
                  <bean:message key="wf.process.table.endTime"/>
                </b>
              </td>
              <td  width="30%">
                <bean:write name="ListItem" property="endTime"/>&nbsp;
              </td>
            </controls:tr>
            <controls:tr align="center" styleClass="table_content">

              <td width="30%" class="table_header">
                <b>
                  <bean:message key="wf.process.table.transaction.superiorAddress"/>
                </b>
              </td>
              <td  >
                <bean:write name="ListItem" property="superiorAddress"/>&nbsp;
              </td>
            
              <td width="30%" class="table_header">
                <b>
                  <bean:message key="wf.process.table.transaction.status"/>
                </b>
              </td>
              <td>
                <bean:write name="ListItem" property="transactionStatus"/>&nbsp;
              </td>
              
          </controls:tr>
        </logic:iterate>
      </controls:ACTTable> 
	  <controls:ACTTable width="100%" align="center">
          <controls:tr >
            <td colspan="center" valign="middle">
              <h3 align="center"><bean:message key="wf.process.table.transaction.InferiorInfo"/></h3>
            </td>
          </controls:tr>
        </controls:ACTTable>
        <controls:ACTTable width="100%" align="center">
          <controls:tr styleClass="table_header" align="center">
            <td >
              <bean:message key="wf.process.table.transaction.inferiorID"/>
            </td>
           <td >
              <bean:message key="wf.process.table.transaction.status"/>
            </td>
          </controls:tr>

          <logic:iterate id="ListItemInfer" name="WF_InferiorList">
            <controls:tr styleClass="table_content">
	      <td  align="center">
                <bean:write name="ListItemInfer" property="inferiorID"/>&nbsp;
              </td>
              
              <td  align="center">
                <bean:write name="ListItemInfer" property="inferiorStatus"/>&nbsp;
              </td>
            </controls:tr>
          </logic:iterate>
  </controls:ACTTable>
  </controls:body>
</html:html>

