<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/controls.tld" prefix="controls"%>

<html:html locale="true">

<head>
  <title><bean:message key="application.title"/></title>
  <html:base/>
  <link rel="stylesheet" type="text/css" href="../../Admin.css">
</head>

<controls:body titleKey="service.deploy.caption">

<html:form action="/wsruntime/deploy/deploy.do" enctype="multipart/form-data">

<br/>
	<bean:message key="service.name"/><br />
	<html:text property="serviceName" /><br /><br />

	<bean:message key="service.deploy.choosewsar"/><br />
	<html:file property="wsarFile" /><br /><br />
	

    <html:submit styleClass="button">
       <bean:message key="button.submit"/>
    </html:submit>
        &nbsp;
    <html:reset styleClass="button">
        <bean:message key="button.reset"/>
    </html:reset>

</html:form>

</controls:body>

<!-- Standard Footer -->

<%@ include file="../footer.jsp" %>

</html:html>
