<!-- Standard Struts Entries -->

<%@ page language="java" import="java.net.URLEncoder, java.util.*" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/controls.tld" prefix="controls" %>

<html:html locale="true">

<head>
  <title><bean:message key="application.title"/></title>  
  <link href="../../Admin.css" rel="stylesheet" type="text/css">
</head>

<!-- Body -->
<controls:body titleKey="service.detail">
<br>
<br>


<!--Form -->

<html:errors/>

<controls:ACTTable width="90%" align="center">
      <controls:tr styleClass="table_content">
          		<controls:td width="30%" styleClass="table_header" >
          			<bean:message key="service.name"/>
          		</controls:td>
          		<controls:td>
          			<%=request.getAttribute("serviceName")%>
          		</controls:td>
          	</controls:tr>
          	<controls:tr styleClass="table_content">
          		<controls:td width="30%" styleClass="table_header" >
          			<bean:message key="engine.status"/>
          		</controls:td>
          		<controls:td>
          			started
          		</controls:td>
          	</controls:tr>
          	<controls:tr styleClass="table_content">
          		<controls:td width="30%" styleClass="table_header" >
          			<bean:message key="service.operations"/>
          		</controls:td>
          		<controls:td>
          			<table border="0">
          				
          					<logic:iterate id="element" name="operations">
								<controls:tr>
								<controls:td>name: 						
								
								<bean:write name="element" property="name" />
								<br>parameters:
								<bean:write name="element" property="parameters" />
								<br>processStyle:
								<bean:write name="element" property="processStyle" />
								<br>faults:
								<bean:write name="element" property="faults" />
								<br>returnTypeName:
								<bean:write name="element" property="returnTypeName" />
								<br>returnTypeNamespace:
								<bean:write name="element" property="returnTypeNamespace" />
								<br>
							
          				
          					    </controls:td>
          				        </controls:tr>
          				</logic:iterate>
          			</table>
					

	       		</controls:td>
          	</controls:tr>
          	<controls:tr styleClass="table_content">
          		<controls:td styleClass="table_header">WSDL</controls:td>
          		<controls:td>
          			<html:link page="/wsruntime/service/serviceWsdl.do" paramId="service" paramName="serviceName" >
          			<html:img src="../../images/Next.gif"  border="0"/></html:link>
          		</controls:td>
          	</controls:tr>
          	<controls:tr styleClass="table_content">
          		<controls:td styleClass="table_header">WSDD</controls:td>
          		<controls:td>
					<html:link page="/wsruntime/service/serviceWsdd.do" paramId="service" paramName="serviceName" >
					<html:img src="../../images/Next.gif" border="0"/></html:link>
				</controls:td>
          	</controls:tr>
          	<controls:tr styleClass="table_content" >
          		<controls:td styleClass="table_header"><bean:message key="service.undeploy"/></controls:td>
          		<controls:td>
				<html:link page="/wsruntime/deploy/undeploy.do" paramId="service" paramName="element" > 
				<html:img src="../../images/Next.gif" border="0"/></html:link>
				</controls:td>
          	</controls:tr>
          
         
  </controls:ACTTable>




<!-- Standard Footer -->



</controls:body>

</html:html>
